'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.shapes = exports.Icon = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shapes = require('./shapes');

var _shapes2 = _interopRequireDefault(_shapes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var number = _react.PropTypes.number;
var object = _react.PropTypes.object;
var string = _react.PropTypes.string;

var Icon = exports.Icon = function (_Component) {
    _inherits(Icon, _Component);

    function Icon() {
        _classCallCheck(this, Icon);

        return _possibleConstructorReturn(this, Object.getPrototypeOf(Icon).apply(this, arguments));
    }

    _createClass(Icon, [{
        key: 'render',
        value: function render() {
            var _props = this.props;
            var style = _props.style;
            var _props$icon = _props.icon;
            var icon = _props$icon === undefined ? 'error' : _props$icon;
            var _props$size = _props.size;
            var size = _props$size === undefined ? 25 : _props$size;
            var custom = _props.custom;
            var title = _props.title;

            var icons = custom ? custom : _shapes2.default[icon];

            /* svg container props attrs */
            var attrs = {
                style: style,
                dangerouslySetInnerHTML: { __html: icons },
                xmlns: 'http://www.w3.org/2000/svg',
                width: size, height: size,
                className: 'svg-icon ' + icon,
                viewBox: '0 0 24 24'
            };

            return _react2.default.createElement(
                'svg',
                attrs,
                title && _react2.default.createElement(
                    'title',
                    null,
                    title
                )
            );
        }
    }]);

    return Icon;
}(_react.Component);

Icon.propTypes = {
    icon: string,
    custom: string,
    size: number,
    style: object
};

exports.Icon = Icon;
exports.shapes = _shapes2.default;